<template>
  <v-select
    :id="id"
    v-model="currentValue"
    class="dibs--input--select-search"
    :options="options"
    :reduce="(option) => option.value"
    :clearable="clearable"
    @input="$emit('input', $event)"
  ></v-select>
</template>
<script>
import vSelect from 'vue-select'
export default {
  components: {
    vSelect,
  },
  props: {
    id: {
      type: [String],
      required: true,
    },
    default: {
      type: [String],
      default: null,
    },
    options: {
      type: [Array],
      required: true,
    },
    clearable: {
      type: Boolean,
      default: false,
    },
  },
  data() {
    return {
      currentValue: this.default,
    }
  },
}
</script>

<style scoped>
>>> {
  --vs-border-radius: 0;
  --vs-border-color: var(--dibs-colors--grey);
  --vs-line-height: normal;
  --vs-actions-padding: 0.75em 1.25em;
  --vs-search-input-bg: var(--dibs-colors--grey--light);
  --vs-dropdown-bg: var(--dibs-colors--grey--light);
  --vs-dropdown-box-shadow: var(--dibs-shadow--strong);
}
</style>
